## Class Crab

    java.lang.Object
      greenfoot.Actor
          Animal
              Crab

    public class Crab

extends Animal

Diese Klasse definiert eine Krabbe. Krabben leben auf dem Strand. Sie lieben Sandwürmer (sehr lecker, vor allem die grünen). Version: 5 In dieser Version verhält sich die Krabbe wie zuvor, aber wir haben das Bild animiert.

Constructor Summary
`Crab()` Erzeugt eine Krabbe und initialisiert ihre beiden Bilder.

Method Summary
`void` | `act()` Tut, was auch immer Krabben gerne tun.
`void` | `checkKeypress()` Prüft, ob eine Steuertaste auf der Tastatur gedrückt wurde.
`void` | `lookForWorm()` Prüft, ob wir auf einen Wurm gestoßen sind.
`void` | `switchImage()` Wechselt das Bild der Krabbe zwischen image1 und image2.

Methods inherited from class Animal
`atWorldEdge, canSee, eat, move, turn`

Methods inherited from class greenfoot.Actor
`addedToWorld, getImage, getIntersectingObjects, getNeighbours, getObjectsAtOffset, getObjectsInRange, getOneIntersectingObject, getOneObjectAtOffset, getRotation, getWorld, getX, getY, intersects, setImage, setImage, setLocation, setRotation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Crab

    public Crab()

  Erzeugt eine Krabbe und initialisiert ihre beiden Bilder.

Method Detail

### act

    public void act()

  Tut, was auch immer Krabben gerne tun. Diese Methode wird immer dann aufgerufen, wenn die Buttons 'Act' oder 'Run' in der Entwicklungsumgebung gedrückt werden.

  Overrides:
    `act` in class `Animal`

### checkKeypress

    public void checkKeypress()

  Prüft, ob eine Steuertaste auf der Tastatur gedrückt wurde. Wenn ja, reagiert die Methode entsprechend.

### lookForWorm

    public void lookForWorm()

  Prüft, ob wir auf einen Wurm gestoßen sind. Wenn ja, wird er gefressen. Wenn nein, passiert nichts. Wenn wir acht Würmer gefressen haben, haben wir gewonnen.

### switchImage

    public void switchImage()

  Wechselt das Bild der Krabbe zwischen image1 und image2.